> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Employee Dashboard Bff

> Builds the employee stablecoin-payroll dashboard: wallets, allocations, payment history, monthly token breakdown, embedded-wallet balance.

Not available to API keys.

## OpenAPI

````yaml api-reference/openapi.json GET /hris/get-employee-dashboard-bff
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /hris/get-employee-dashboard-bff:
    get:
      operationId: getEmployeeDashboardBff
      summary: Get Employee Dashboard Bff
      description: >-
        Builds the employee stablecoin-payroll dashboard: wallets, allocations,
        payment history, monthly token breakdown, embedded-wallet balance.


        Not available to API keys.
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetEmployeeDashboardBffResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    GetEmployeeDashboardBffResponse:
      type: object
      properties:
        name:
          type: string
        tokenCompensation:
          type: array
          items:
            type: object
            properties:
              id:
                type: string
              network:
                type: string
              networkSymbol:
                type: string
              networkIcon:
                type: string
              tokenSymbol:
                type: string
              tokenIcon:
                type: string
              value:
                type: string
            required:
              - id
              - network
              - networkSymbol
              - tokenSymbol
              - value
        resumeBoard:
          type: object
          properties:
            recentPayment:
              type:
                - string
                - 'null'
            recentPayPeriod:
              type:
                - string
                - 'null'
            tokenAmountUSD:
              type:
                - string
                - 'null'
            tokenType:
              type:
                - string
                - 'null'
          required:
            - recentPayment
            - recentPayPeriod
            - tokenAmountUSD
            - tokenType
        hasReceivedPayments:
          type: boolean
        hasVerifiedWallet:
          type: boolean
        hasAllocation:
          type: boolean
        currentStep:
          type: string
          enum:
            - NOT_STARTED
            - WALLET_PENDING
            - WALLET_VERIFIED_NO_ALLOCATION
            - ALLOCATION_COMPLETE
        haveMultipleWallets:
          type: boolean
        paymentsList:
          type: array
          items:
            type: object
            properties:
              id:
                type: string
              date:
                type: string
              type:
                type: string
              tokenIcon:
                type:
                  - string
                  - 'null'
              amount:
                type: number
              status:
                type: string
              fiatAmount:
                type: string
              fiatCurrency:
                type: string
              exchangeRate:
                type: string
            required:
              - id
              - date
              - type
              - tokenIcon
              - amount
              - status
              - fiatAmount
              - fiatCurrency
              - exchangeRate
        tokenBreakdownChart:
          type: array
          items:
            type: object
            additionalProperties:
              oneOf:
                - type: string
                - type: number
        tokuWalletStatus:
          type:
            - object
            - 'null'
          properties:
            privyWalletID:
              type: string
            roleInOrgID:
              type: string
            walletID:
              type: string
            privyDID:
              type: string
            createdWithEmail:
              type: string
            createdAt:
              type: string
            updatedAt:
              type: string
          required:
            - privyWalletID
            - roleInOrgID
            - walletID
            - privyDID
            - createdWithEmail
            - createdAt
            - updatedAt
        walletTokenBalance:
          type:
            - object
            - 'null'
          properties:
            walletAddress:
              type: string
            tokenAddress:
              type: string
            balance:
              type: string
            formattedBalance:
              type: string
            decimals:
              type: number
            tokenName:
              type: string
            tokenSymbol:
              type: string
            tokenIconUrl:
              type: string
            networkName:
              type: string
            networkChainId:
              type: number
            networkIconUrl:
              type: string
            blockExplorerBaseUrl:
              type: string
            networkAppUrl:
              type: string
            lastUpdated:
              type: string
          required:
            - walletAddress
            - balance
            - formattedBalance
            - decimals
            - tokenName
            - tokenSymbol
            - networkName
            - lastUpdated
      required:
        - name
        - tokenCompensation
        - resumeBoard
        - hasReceivedPayments
        - hasVerifiedWallet
        - hasAllocation
        - currentStep
        - haveMultipleWallets
        - paymentsList
        - tokenBreakdownChart
        - tokuWalletStatus
        - walletTokenBalance
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
